Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 225901 - Merge Review: inn
Summary: Merge Review: inn
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Adam Tkac
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-31 19:05 UTC by Nobody's working on this, feel free to take it
Modified: 2009-12-17 13:50 UTC (History)
4 users (show)

Fixed In Version: inn-2.5.1-3.fc13
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-12-17 13:49:46 UTC
atkac: fedora-review+


Attachments (Terms of Use)

Description Nobody's working on this, feel free to take it 2007-01-31 19:05:28 UTC
Fedora Merge Review: inn

http://cvs.fedora.redhat.com/viewcvs/devel/inn/
Initial Owner: stransky@redhat.com

Comment 1 Adam Tkac 2009-12-15 11:16:02 UTC
Review of inn-2.5.1-2.fc13:

Legend: "+" OK, "-" Not OK.

+ MUST: The package must be named according to the Package Naming Guidelines
+ MUST: The spec file name must match the base package %{name}, in the format %{name}.spec
+ MUST: The package must meet the Packaging Guidelines
+ MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines .
- MUST(1): The License field in spec match the actual license
+ MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file must be included in %doc
+ MUST: The spec file written in American English
+ MUST: The spec file for the package is legible
+ MUST: The sources used to build the package must match the upstream source, as provided in the spec URL
+ MUST: The package successfully compile
+ MUST: All build dependencies must be listed in BuildRequires
+ MUST: The spec file handle locales properly
+ MUST: Every package which stores shared library files in any of the dynamic linker's default paths, must call ldconfig in %post and %postun
+ MUST: Packages does not bundle copies of system libraries
+ MUST: Package own all directories that it creates
+ MUST: Package does not list a file more than once in the spec file
+ MUST: Permissions on files must be set properly. Every %files section must include a %defattr(...) line
- MUST(2): Package has a %clean section, which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT)
+ MUST: Package use macros consistently
+ MUST: Package contains code, or permissable content
+ MUST: Large documentation files must go in a -doc subpackage
+ MUST: If a package includes something as %doc, it must not affect the runtime of the application
+ MUST: Header files in a -devel package
+ MUST: Static libraries in a -static package
+ MUST: Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig'
+ MUST: If a package contains library files with a suffix (e.g. libfoo.so.1.1), then library files that end in .so (without suffix) must go in a -devel package
+ MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency: Requires: %{name} = %{version}-%{release}
+ MUST: Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built
+ MUST: Packages containing GUI applications must include a %{name}.desktop file
+ MUST: Packages must not own files or directories already owned by other packages
+ MUST: At the beginning of %install, each package MUST run rm -rf %{buildroot} (or $RPM_BUILD_ROOT)
+ MUST: All filenames in rpm packages must be valid UTF-8.

1 - After inspection it seems valid license should be "GPLv2+ and BSD and MIT and Public Domain"
2 - remove spurious "rm -f files.list files.main files.devel files.inews" line from %clean section

Please fix appropriate rpmlint warnings and summarize rest of them + explain why
they are invalid.

Please add "Requires: %{name}-libs = %{version}-%{release}" to -devel subpackage (and probably to the main inn package as well)

Comment 2 Nikola Pajkovsky 2009-12-15 16:46:42 UTC
> inn.i386: E: script-without-shebang /usr/libexec/news/control/sendsys.pl
> inn.i386: E: script-without-shebang /usr/libexec/news/control/ihave.pl
> inn.i386: E: script-without-shebang /usr/libexec/news/innshellvars.tcl
> inn.i386: E: script-without-shebang /usr/libexec/news/filter/INN.py
> inn.i386: E: script-without-shebang /usr/libexec/news/control/sendme.pl
> inn.i386: E: script-without-shebang /usr/lib/perl5/vendor_perl/5.10.0/INN/Config.pm
> inn.i386: E: script-without-shebang /usr/libexec/news/innshellvars.pl
> inn.i386: E: script-without-shebang /usr/libexec/news/filter/nnrpd_access.py
> inn.i386: E: script-without-shebang /usr/libexec/news/filter/filter_nnrpd.pl
> inn.i386: E: script-without-shebang /usr/libexec/news/filter/nnrpd_dynamic.py
> inn.i386: E: script-without-shebang /usr/libexec/news/control/checkgroups.pl
> inn.i386: E: script-without-shebang /usr/libexec/news/control/newgroup.pl
> inn.i386: E: script-without-shebang /var/lib/news/http/innreport.css
> inn.i386: E: script-without-shebang /usr/libexec/news/control/version.pl
> inn.i386: E: script-without-shebang /usr/libexec/news/control/senduuname.pl
> inn.i386: E: script-without-shebang /usr/libexec/news/filter/filter_innd.py
> inn.i386: E: script-without-shebang /usr/libexec/news/control/rmgroup.pl
> inn.i386: E: script-without-shebang /usr/libexec/news/filter/nnrpd.py
> inn.i386: E: script-without-shebang /usr/libexec/news/filter/nnrpd_auth.py
> inn.i386: E: script-without-shebang /usr/libexec/news/filter/startup_innd.pl
Upstream code. Missing !# 

> inn.i386: E: non-standard-dir-perm /var/spool/news/incoming 0775
> inn.i386: E: non-standard-dir-perm /var/spool/news/incoming/bad 0775
> inn.i386: E: non-standard-dir-perm /var/run/news 0750
> inn needs directory with umask 002 or 007

> inn.i386: E: non-readable /etc/news/passwd.nntp 0640
> inn.i386: E: non-readable /etc/news/innfeed.conf 0640
> inn.i386: E: non-readable /etc/news/radius.conf 0640
> inn.i386: E: non-readable /etc/news/incoming.conf 0640
It should be not readable to other users instead of news or users with group news

inn.i386: E: setuid-binary /usr/libexec/news/innbind root 04510
inn.i386: E: non-standard-executable-perm /usr/libexec/news/innbind 04510
inn.i386: E: non-standard-executable-perm /usr/libexec/news/innbind 04510
inn.i386: E: setuid-binary /usr/libexec/news/rnews uucp 04550
inn.i386: E: non-standard-executable-perm /usr/libexec/news/rnews 04550
inn.i386: E: non-standard-executable-perm /usr/libexec/news/rnews 04550
That's correct.

Comment 3 Adam Tkac 2009-12-17 13:49:46 UTC
inn-2.5.1-3.fc13 looks fine for me.


Note You need to log in before you can comment on or make changes to this bug.